complexType "Strategy"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, strategyComponentIdentifier*, premiumProductReference?, product*
</...>

Content Model Elements (8):

  embeddedOptionType, premiumProductReference (in strategy), primaryAssetClass (defined in Product.model group), product, | productId (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), strategyComponentIdentifier

All Direct / Indirect Based Elements (1):

  strategy

Known Usage Locations

- As direct type of elements (1):
  strategy

Annotation
A type defining a group of products making up a single trade.
Type Definition Detail

Type Derivation Tree Product (extension) Strategy

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Strategy"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="strategyComponentIdentifier" type="StrategyComponentIdentification"/> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/8)
premiumProductReference

  Type: | ProductReference, empty content

  Indicates which product within a strategy represents the premium payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/>

product

  Type: | Product, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 35 elements

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/>

strategyComponentIdentifier

  Type: | StrategyComponentIdentification, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="strategyComponentIdentifier" type="StrategyComponentIdentification"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.